<Project Sdk="Microsoft.NET.Sdk.Web">
    

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <RootNamespace>BBM.ChatGLM</RootNamespace>
        <PreserveCompilationReferences>true</PreserveCompilationReferences>
        <UserSecretsId>BBM.ChatGLM-4681b4fd-151f-4221-84a4-929d86723e4c</UserSecretsId>
    </PropertyGroup>

    <ItemGroup>

        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" />
        <PackageReference Include="Microsoft.AspNetCore.DataProtection.StackExchangeRedis" />
        <PackageReference Include="Volo.Abp.Account.Web" />
        <PackageReference Include="Volo.Abp.AspNetCore.Mvc.UI.MultiTenancy" />
        <PackageReference Include="Volo.Abp.Autofac" />
        <PackageReference Include="Volo.Abp.Caching.StackExchangeRedis" />
        <PackageReference Include="Volo.Abp.AspNetCore.Serilog" />
        <PackageReference Include="Volo.Abp.Swashbuckle" />
        <PackageReference Include="Volo.Abp.AspNetCore.Authentication.JwtBearer" />
        <PackageReference Include="Volo.Abp.AspNetCore.Mvc.UI.Theme.Basic" />
        <PackageReference Include="Serilog" />
        <PackageReference Include="Serilog.AspNetCore" />
        <PackageReference Include="Serilog.Exceptions" />
        <PackageReference Include="Serilog.Extensions.Logging" />
        <PackageReference Include="Serilog.Settings.Configuration" />
        <PackageReference Include="Serilog.Sinks.Console" />
        <PackageReference Include="Serilog.Sinks.Elasticsearch" />
        <PackageReference Include="Serilog.Sinks.File" />
        <PackageReference Include="Serilog.Sinks.Async" />
        <PackageReference Include="Hangfire.Redis.StackExchange" />
        <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks" />
        <PackageReference Include="MiniProfiler.AspNetCore.Mvc" />
        <PackageReference Include="DotNetCore.CAP.MySql" />
        <PackageReference Include="DotNetCore.CAP.RabbitMQ" />
        <PackageReference Include="DotNetCore.CAP.Dashboard" />
        <PackageReference Include="DotNetCore.CAP.InMemoryStorage" />
        <PackageReference Include="Savorboard.CAP.InMemoryMessageQueue" />
        <PackageReference Include="MiniProfiler.AspNetCore.Mvc" />
        <PackageReference Include="MiniProfiler.EntityFrameworkCore" />
        <PackageReference Include="MiniProfiler.Shared" />
        <PackageReference Include="Lion.AbpPro.Shared.Hosting.Microservices" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\src\BBM.ChatGLM.Application\BBM.ChatGLM.Application.csproj" />
        <ProjectReference Include="..\..\src\BBM.ChatGLM.EntityFrameworkCore\BBM.ChatGLM.EntityFrameworkCore.csproj" />
        <ProjectReference Include="..\..\src\BBM.ChatGLM.HttpApi\BBM.ChatGLM.HttpApi.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="Logs\**" />
        <Content Remove="Logs\**" />
        <EmbeddedResource Remove="Logs\**" />
        <None Remove="Logs\**" />
    </ItemGroup>

</Project>
